## ThunarSimpleJob ThunarSimpleJob |

## Functions

gboolean | (*ThunarSimpleJobFunc) ()
ThunarJob * | thunar_simple_job_new ()
GArray * | thunar_simple_job_get_param_values ()

## Object Hierarchy

        GObject
        ╰── ExoJob
            ╰── ThunarJob
                ╰── ThunarSimpleJob

## Description

## Functions

### ThunarSimpleJobFunc ()

    gboolean
    (*ThunarSimpleJobFunc) (ThunarJob *job,
                            GArray *param_values,
                            GError **error);

Used by the ThunarSimpleJob to process the `job` . See `thunar_simple_job_new()` for further details.

#### Parameters

job | a ThunarJob. |
param_values | a GArray of the GValues passed to `thunar_simple_job_new()`. |
error | return location for errors. |

#### Returns

`TRUE` on success, `FALSE` in case of an error.

### thunar_simple_job_new ()

    ThunarJob *
    thunar_simple_job_new (ThunarSimpleJobFunc func,
                           guint n_param_values,
                           ...);

Allocates a new ThunarSimpleJob, which executes the specified `func` with the specified parameters.

Use `exo_job_launch()` to launch the returned job..

For example the listdir `func` expects a ThunarPath for the folder to list, so the call to `thunar_simple_job_new()` would look like this:

    1
    2
    3
    job = thunar_simple_job_new (_thunar_io_jobs_listdir, 1,
                                 THUNAR_TYPE_PATH, path);
    exo_job_launch (EXO_JOB (job));

The caller is responsible to release the returned object using `thunar_job_unref()` when no longer needed.

#### Parameters

func | the ThunarSimpleJobFunc to execute the job. |
n_param_values | the number of parameters to pass to the `func` . |
... | a list of GType and parameter pairs (exactly `n_param_values` pairs) that are passed to `func` . |

#### Returns

a ThunarJob.

### thunar_simple_job_get_param_values ()

    GArray *
    thunar_simple_job_get_param_values (ThunarSimpleJob *job);